DevelopersAPIReferencetotalValueUpdates
RemoveAssetHistory
Deletes total-value updates with date < the given date and creates one initialBalance rollup update at date, carrying the latest deleted value converted…
POST
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidapplication/json- body
assetId*stringRow uuid
Format
uuiddate*stringMatch
^\d{4}-\d{2}-\d{2}$The rollup update (or null) and the deleted count
application/json- response
created*|nulldeletedCount*numbercurl -X POST 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/totalValueUpdates/removeAssetHistory' \ -H 'Content-Type: application/json' \ -d '{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "date": "string"}'Example Response
{ "created": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "date": "string", "amountValue": "string", "amountCurrency": "EUR", "notes": "string", "initialBalance": true, "source": "string", "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string" }, "deletedCount": 0}